<template>
    <a :href="`http://joker-odds.test/football/match/${eventId}`" target="_blank" class="container__block v3">
        <div class="container__row" v-for="(data, Idx) in widget.bookmakers">
            <template v-if="widget.event.scoreboard && (widget.event.scoreboard.status_id===2)">
                <div class="odds-first">
                    <span class=""></span>
                    <span class="image__block" v-if="Object.keys(data.bets.inplay).length != 0"><img :src="`https://jokerodds.com/storage/${data.logo || ''}`"></span>
                </div>
                <div class="odds" v-if="Object.keys(data.bets.inplay).length != 0">
                    <span class="info__block_top">1</span>
                    <span class="info__block">{{ data.bets.inplay['1'].price }}</span>
                </div>
                <div class="odds" v-if="Object.keys(data.bets.inplay).length != 0">
                    <span class="info__block_top">X</span>
                    <span class="info__block">{{ data.bets.inplay['X'].price }}</span>
                </div>
                <div class="odds" v-if="Object.keys(data.bets.inplay).length != 0">
                    <span class="info__block_top">2</span>
                    <span class="info__block">{{ data.bets.inplay['2'].price }}</span>
                </div>
            </template>
            <template v-else>
                <div class="odds-first">
                    <span class=""></span>
                    <span class="image__block" v-if="Object.keys(data.bets.prematch).length != 0"><img :src="`https://jokerodds.com/storage/${data.logo || ''}`"></span>
                </div>
                <div class="odds" v-if="Object.keys(data.bets.prematch).length != 0">
                    <span class="info__block_top">1</span>
                    <span class="info__block">{{ data.bets.prematch['1'].price }}</span>
                </div>
                <div class="odds" v-if="Object.keys(data.bets.prematch).length != 0">
                    <span class="info__block_top">X</span>
                    <span class="info__block">{{ data.bets.prematch['X'].price }}</span>
                </div>
                <div class="odds" v-if="Object.keys(data.bets.prematch).length != 0">
                    <span class="info__block_top">2</span>
                    <span class="info__block">{{ data.bets.prematch['2'].price }}</span>
                </div>
            </template>

        </div>
        <span class="link__block"></span>
    </a>
</template>

<script>
import {mapActions, mapGetters} from "vuex";

export default {
    name: 'WidgetOne',

    data() {
        return {
            eventWidget: [],
        }
    },
    props: {
        eventId: [String, Number],
    },
    computed: {
        ...mapGetters(['widget']),
    },
    methods: {
        ...mapActions(['fetchWidget']),
        fetchData() {
            this.fetchWidget(this.eventId).then(() => {
            })
        },
    },

    mounted() {

    },

    created() {
        this.fetchData()
    },
}
</script>

